<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Field Names
    |--------------------------------------------------------------------------
    |
    | Use these to override the default field names - these will be applied
    | to both the frontend form fields and the backend database columns.
    |
    */
    'field_names' => [
        'username' => 'email',
        'password' => 'password',
    ],

    /*
    |--------------------------------------------------------------------------
    | Validation Rules
    |--------------------------------------------------------------------------
    |
    | Add the validation rules for the username and password here. You can use
    | the built-in Laravel rules for server-side validation, but you'll need
    | to create a custom rule class (implementing the NovoRule interface)
    | if you want them to appear on (and be used by) the frontend.
    |
    */
    'validation' => [
        'username' => [
            'required',
            'email:rfc',
        ],
        'password' => [
            'confirmed',
            new EventPortal\AuthPassword\Rules\MinimumLength(8),
            new EventPortal\AuthPassword\Rules\ContainsNumber(),
            new EventPortal\AuthPassword\Rules\ContainsUppercase(),
            new EventPortal\AuthPassword\Rules\ContainsLowercase(),
        ],
    ],
];
